/*
 * Copyright (c) 2018. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.service.jpa;

import java.util.List;

import javax.persistence.Query;

import org.hedgecode.chess.domain.EtudeType;
import org.hedgecode.chess.service.EtudeTypeService;

/**
 *
 *
 * @author Dmitry Samoshin aka gotty
 */
public class JpaEtudeTypeService extends JpaDomainService<EtudeType> implements EtudeTypeService {

    private static final long DEFAULT_ID = 1;

    @Override
    @SuppressWarnings(
            "unchecked"
    )
    public List<EtudeType> findAll() {
        return getEntityManager().createNamedQuery(
                EtudeType.FIND_ALL
        ).getResultList();
    }

    @Override
    @SuppressWarnings(
            "unchecked"
    )
    public EtudeType findById(Long id) {
        Query query = getEntityManager().createNamedQuery(
                EtudeType.FIND_BY_ID
        );
        query.setParameter(EtudeType.ID_PARAMETER, id);
        return (EtudeType) query.getSingleResult();
    }

    @Override
    @SuppressWarnings(
            "unchecked"
    )
    public EtudeType findByBrief(String brief) {
        Query query = getEntityManager().createNamedQuery(
                EtudeType.FIND_BY_BRIEF
        );
        query.setParameter(EtudeType.BRIEF_PARAMETER, brief);
        return (EtudeType) query.getSingleResult();
    }

    @Override
    @SuppressWarnings(
            "unchecked"
    )
    public EtudeType findDefault() {
        return findById(
                DEFAULT_ID
        );
    }

}
