/*
 * Copyright (c) 2018. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.uci.command;

import org.hedgecode.chess.uci.UCIConstants;

/**
 * Container class for UCI command with parameters.
 *
 * @author Dmitry Samoshin aka gotty
 */
public final class CommandParams {

    private String name;
    private String params;

    public CommandParams(String command) {
        String[] arrCommand = command.trim().split(
                UCIConstants.COMMAND_SEP_REGEX, 2
        );
        name = arrCommand[0];
        params = arrCommand.length > 1 ? arrCommand[1] : null;
    }

    public String getName() {
        return name;
    }

    public String getParams() {
        return params;
    }

}
