/*
 * Copyright (c) 2018-2019. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.img;

import java.io.File;

/**
 *
 *
 * @author Dmitry Samoshin aka gotty
 */
public abstract class AbstractImageLoader implements ImageLoader {

    protected static final File IMAGES_PATH = new File(
            ImageLoader.class.getResource(
                    ImageConstants.RESOURCE_ROOT_DIR + ImageConstants.RESOURCE_IMAGES_DIR
            ).getPath()
    );

    private Type loadType;

    public AbstractImageLoader() {
        this.loadType = Type.STATELESS;
    }

    protected abstract void clear();

    @Override
    public Type loadType() {
        return loadType;
    }

    protected void setLoadType(Type loadType) {
        if (Type.STATELESS.equals(loadType)) {
            clear();
        }
        this.loadType = loadType;
    }

}
