/*
 * Copyright (c) 2018. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.position;

/**
 *
 *
 * @author Dmitry Samoshin aka gotty
 */
public enum Color {

    WHITE ('w'),
    BLACK ('b');

    private char letter;

    Color(char letter) {
        this.letter = letter;
    }

    public char letter() {
        return letter;
    }

    public static Color byLetter(char letter) {
        for (Color color : Color.values()) {
            if (color.letter() == letter)
                return color;
        }
        return null;
    }

    public static Color byLetter(String letter) {
        if (letter == null || letter.length() != 1)
            return null;
        for (Color color : Color.values()) {
            if (color.letter() == letter.charAt(0))
                return color;
        }
        return null;
    }

}
